﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Threading;

namespace NokolaPhonePack1
{
    public partial class ProgressPage : PhoneApplicationPage
    {
        public ProgressPage()
        {
            InitializeComponent();
        }

        DispatcherTimer regular;
        DispatcherTimer easing;

        private void btnNormal_Click(object sender, RoutedEventArgs e)
        {
            if (regular != null) regular.Stop();
            regular = new DispatcherTimer();
            regular.Interval = TimeSpan.FromMilliseconds(30);
            regular.Tick += new EventHandler(regular_Tick);
            regValue = 0;
            barRegular.Value = 0;
            regular.Start();
        }

        int regValue = 0;
        void regular_Tick(object sender, EventArgs e)
        {
            regValue++;
            barRegular.Value = regValue;
            if (regValue >= 100)
            {
                regular.Stop();
            }
        }

        int easeValue = 0;
        void easing_Tick(object sender, EventArgs e)
        {
            easeValue++;
            barEasing.Percent = easeValue;

            if (easeValue >= 100)
            {
                easing.Stop();
            }
        }
        private void btnEasing_Click(object sender, RoutedEventArgs e)
        {
            if (easing != null) easing.Stop();
            easing = new DispatcherTimer();
            easing.Interval = TimeSpan.FromMilliseconds(30);
            easing.Tick += new EventHandler(easing_Tick);
            easeValue = 0;
            barEasing.Percent = 0;
            easing.Start();

        }
    }
}